## net.sf.saxon.regex
Class SurrogateRegexTranslator.CharRange

    java.lang.Object
      net.sf.saxon.regex.SurrogateRegexTranslator.SimpleCharClass
          net.sf.saxon.regex.SurrogateRegexTranslator.CharRange

Enclosing class:
  SurrogateRegexTranslator

    public static class SurrogateRegexTranslator.CharRange

extends SurrogateRegexTranslator.SimpleCharClass

Character class that matches any character within a range of codepoints

Constructor Summary
`SurrogateRegexTranslator.CharRange(int lower, int upper)`

Method Summary
`void` `addNonBmpRanges(List ranges)` Add ranges of non-BMP characters that are matched by this character class.
`void` `inClassOutputBmp(FastStringBuffer buf)`

Methods inherited from class net.sf.saxon.regex.SurrogateRegexTranslator.SimpleCharClass
`outputBmp, outputComplementBmp`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SurrogateRegexTranslator.CharRange

    public SurrogateRegexTranslator.CharRange(int lower,
                                              int upper)

Method Detail

### inClassOutputBmp

    public void inClassOutputBmp(FastStringBuffer buf)

  Specified by:
    `inClassOutputBmp` in class `SurrogateRegexTranslator.SimpleCharClass`

### addNonBmpRanges

    public void addNonBmpRanges(List ranges)

  Add ranges of non-BMP characters that are matched by this character class. Default implementation does nothing.

Copyright (C) Michael H. Kay. All rights reserved.